package io.gmss.fiscad.interfaces.rfu.parametre;

import io.gmss.fiscad.entities.rfu.parametre.ZoneRfu;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface ZoneRfuService {

    ZoneRfu createZoneRfu(ZoneRfu zoneRfu) throws BadRequestException;

    ZoneRfu updateZoneRfu(Long id, ZoneRfu zoneRfu) throws NotFoundException;

    void deleteZoneRfu(Long id) throws NotFoundException;

    Page<ZoneRfu> getZoneRfuList(Pageable pageable);

    List<ZoneRfu> getZoneRfuList();


    Optional<ZoneRfu> getZoneRfuById(Long id);
}

